Bug 16464 - Slight lack of robustness in /etc/X11/prefdm script
Slight lack of robustness in /etc/X11/prefdm script
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-17 14:12 EDT by J. J. Ramsey
Modified: 2014-03-16 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 14:12:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. J. Ramsey 2000-08-17 14:12:02 EDT
The prefdm script depends on the entry in /etc/sysconfig/desktop actually
reflecting
the desktop being run on the system. That is, it presumes that if
/etc/sysconfig/desktop
contains the line DESKTOP="KDE", then KDE--and kdm--is actually installed.
Not always
true. For example, I installed Red Hat 6.2 as a KDE workstation, but later
decided to 1) use startx instead of having a graphical login, and 2)
decided to get rid of KDE in favor of Blackbox, and yet a 
few months more months down the line, I decided to use Helix GNOME. Up to
this point, 
/etc/sysconfig/desktop still was unchanged, containing the line
DESKTOP="KDE", and when I decided 
to use a graphical login again by changing the runlevel back to 5, prefdm
choked, and I didn't get a 
graphical login screen at all--not a good failsafe. Changing the last few
lines of the prefdm script from

	if [ -n "$preferred" ] && which $preferred >/dev/null 2>&1; then 
		exec `which $preferred` $*
	fi

to

	if [ -n "$preferred" ] && which $preferred >/dev/null 2>&1; then 
		exec `which $preferred` $*
	else
		exec `which xdm` $*
	fi

at least gets me *a* graphical login instead of an error message at a
nongraphical login prompt, even
if /etc/sysconfig/desktop is messed up. 

(As a sidenote, changing /etc/sysconfig/desktop so that it read
DESKTOP="GNOME" got me the 
graphical login I wanted, namely gdm, but that's not the point of this
report.)
Comment 1 Bill Nottingham 2000-08-22 10:46:53 EDT
Will be fixed in initscripts-5.48-1.

Note You need to log in before you can comment on or make changes to this bug.